Page MenuHomePhabricator

CI uses PHP7.2 packages from sury.org instead of SRE ones
Closed, ResolvedPublic

Description

The CI Docker container install PHP7.2 from sury.org, we should use the SRE provided package instead.

sury.org also brings in a few unrelated packages such as libpcre which do not match Debian / Wikimedia prod.

Details

Related Gerrit Patches:
integration/config : masterBump jobs to use php7.2 from SRE instead of sury.org
integration/config : masterdocker: use php7.2 from SRE

Event Timeline

hashar created this task.Jun 18 2019, 3:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2019, 3:23 PM

We're currently using sury packages in php71 and quibble-stretch-php71, php72 and quibble-stretch-php72, php73 and quibble-stretch-php73, ci-src-setup, and sury-php. Do SRE provide php71 and php73? Do they plan to do so in general, or are we going to have a different approach for the PHP version that happens to be in production each month?

That is merely to have the MediaWiki tests to use the same package that Wikimedia is using. So I have scoped it to just php7.2 for now :-]

Change 517684 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: use php7.2 from SRE

https://gerrit.wikimedia.org/r/517684

That is merely to have the MediaWiki tests to use the same package that Wikimedia is using. So I have scoped it to just php7.2 for now :-]

:-((( That means yet more technical debt/cruft.

Change 517684 merged by jenkins-bot:
[integration/config@master] docker: use php7.2 from SRE

https://gerrit.wikimedia.org/r/517684

Will build the following images:

  • docker-registry.discovery.wmnet/releng/php72:0.2.0
  • docker-registry.discovery.wmnet/releng/composer-php72:0.2.0
  • docker-registry.discovery.wmnet/releng/php72-compile:0.2.0
  • docker-registry.discovery.wmnet/releng/mediawiki-phan:0.3.0
  • docker-registry.discovery.wmnet/releng/quibble-stretch-php72:0.0.31-5
  • docker-registry.discovery.wmnet/releng/quibble-coverage:0.0.31-5
  • docker-registry.discovery.wmnet/releng/composer-test-php72:0.2.0
  • docker-registry.discovery.wmnet/releng/quibble-fresnel:0.0.31-7
  • docker-registry.discovery.wmnet/releng/composer-package-php72:0.2.0

Change 517733 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Bump jobs to use php7.2 from SRE instead of sury.org

https://gerrit.wikimedia.org/r/517733

Mentioned in SAL (#wikimedia-releng) [2019-06-18T20:24:03Z] <hashar> Switching jobs to SRE php7.2 package # T226028

Change 517733 merged by jenkins-bot:
[integration/config@master] Bump jobs to use php7.2 from SRE instead of sury.org

https://gerrit.wikimedia.org/r/517733

Should be good hopefully.

hashar closed this task as Resolved.Jun 18 2019, 8:51 PM
hashar claimed this task.

Doesn't look like this was built?

jforrester@contint1001:~$ docker images | grep quibble-stretch-php72
docker-registry.discovery.wmnet/releng/quibble-stretch-php72         0.0.31-4            9a6c1d4ed3a8        2 weeks ago          993MB
docker-registry.discovery.wmnet/releng/quibble-stretch-php72         latest              9a6c1d4ed3a8        2 weeks ago          993MB

quibble-stretch-php72:0.0.31-5 build fails for me locally.

https://gerrit.wikimedia.org/r/517754 fixes it. Fun. Merged, rebuilt the images, and php72 jobs should now actually work again. :-)

jforrester@contint1001:~$ docker images | grep quibble-stretch-php72
docker-registry.discovery.wmnet/releng/quibble-stretch-php72         0.0.31-5            a986bf8eb9c8        40 seconds ago      949MB
docker-registry.discovery.wmnet/releng/quibble-stretch-php72         latest              a986bf8eb9c8        40 seconds ago      949MB
docker-registry.discovery.wmnet/releng/quibble-stretch-php72         0.0.31-4            9a6c1d4ed3a8        2 weeks ago         993MB
hashar added a comment.EditedJun 19 2019, 7:22 AM

Argh that is due to me not adding a file in git bah :-\

docker-pkg is not highlighting a build has failed which can easily be missed when running with logs enabled (--info) and it exits 0.